<ng-container *transloco="let t; read: 'general_forms'">

  <div class="upload-image-container">
    <input
      #imageInput
      class="hidden"
      type="file"
      [accept]="acceptedFormats.join(',')"
      (change)="onFileSelectChanged($event)"
      (input)="startUploadingImage()">
    <div
      #dropZone
      class="image-drop-zone"
      appImageDropZone
      [acceptedFormats]="acceptedFormats"
      (loadedFile)="onImageDropped($event)"
      (imageToBigError)="onImageToBig()">
      <ng-container *ngIf="(imageUrl || croppedImage || imageFile); else selectImage">
        <image-cropper
          style="padding: 0;"
          [imageChangedEvent]="imageChangedEvent"
          [imageFile]="imageFile"
          [imageURL]="imageUrl"
          [roundCropper]="true"
          [aspectRatio]="aspectRatio"
          [maintainAspectRatio]="maintainAspectRatio"
          [cropper]="cropperDimension"
          [format]="imageFormat"
          (imageCropped)="imageCropped($event)"
          (loadImageFailed)="loadImageFailed()">
        </image-cropper>
        <div class="processing-image" *ngIf="isProcessing">
          <mat-spinner></mat-spinner>
          <div>{{t('uploading_image')}}</div>
        </div>
      </ng-container>
      <ng-template #selectImage>
        <div class="select-image-container">
          <mat-icon class="upload-image-icon">add_photo_alternate</mat-icon>
          <p>{{t('info_upload_picture', { size: maxMbSize })}}</p>
          <p>{{t('or')}}</p>
          <button
            mat-stroked-button
            color="primary"
            class="round-button"
            (click)="imageInput.click()">
            {{t('choose_picture')}}
          </button>
        </div>
      </ng-template>
    </div>
    <div class="image-preview-container">
      <div class="image-preview">
        <img
          class="preview"
          [src]="(previewImage ?? imageUrl) ?? fallbackImage">
      </div>
      <button
        mat-stroked-button
        color="primary"
        class="round-button stroked-button-border-color"
        (click)="imageInput.click()">
        {{t('choose_picture')}}
      </button>
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        (click)="clearImage()">
        {{t('clear_picture')}}
      </button>
    </div>
  </div>
</ng-container>
